Try the latest stable version of node

如果您在使用不受支持或不稳定的节点版本时遇到问题(奇数版本,例如0.7.x,0.9.x,0.11.x),则很可能只需使用LTS版本即可解决您的问题节点.

See what version of node you’re running:

node -v

Updating node on Linux

对于某些Linux发行版(Debian / Ubuntu和RedHat / CentOS),发行版提供的最新节点版本可能落后于稳定版. 这是来自NodeSource的有关获取最新节点的说明.

Updating node on Windows

https://nodejs.org/en/download安装最新的msi

Updating node on OSX

https://nodejs.org/en/download安装最新的软件包

或者如果您使用自制软件

brew install node

An easy way to stay up-to-date

Node.js有很多版本,其开发非常活跃. 作为管理各种版本的一种好习惯,我们建议您在Node.js安装中使用版本管理器. 有很多不错的选择,以下是一些:


< Common errors | Try the latest stable version of npm >